@mixin get-font($variation: body-1, $font-size: null, $line-height: null) {
      $map: map-get($font-variations, $variation);
  
      @if ($map==null) {
          @error Missing font variation $variation;
      }
  
      $fs: map-get($map, 'font-size');
  
      @if ($font-size !=null) {
          $fs: $font-size;
      }
  
      $lh: map-get($map, 'line-height');
  
      @if ($line-height !=null) {
          $lh: $line-height;
      }
  
      @if ($fs !=null) {
          font-size: $fs;
      }
  
      @if (map-has-key($map, 'font-family')) {
          font-family: map-get($map, 'font-family');
      }
  
      @if ($lh !=null) {
          line-height: $lh;
      }
  
      @if (map-has-key($map, 'font-weight')) {
          font-weight: map-get($map, 'font-weight');
      }
  
      @if (map-has-key($map, 'font-style')) {
          font-style: map-get($map, 'font-style');
      }
  
      @if (map-has-key($map, 'text-transform')) {
          text-transform: map-get($map, 'text-transform');
      }
  }
  